/**
 * Informatique Industrielle et Java
 * Exercice 5.1 du chapitre5
 *
 * @author F. Mallet
 * @version 1
 */
public class Montre extends javax.swing.JComponent {
    /** Le mod?le de l'horloge */
    private Horloge horloge;
    /** La vue de l'horloge */
    private HorlogeVue vue;

    public Montre() {
        horloge = new Horloge(0,0,0);
        vue = new HorlogeAiguilles(50, 100, 60);
        //vue = new HorlogeTexte();
    }

    protected void paintComponent(java.awt.Graphics g) {
        // le dessin est d?l?gu? ? la vue
        vue.dessine(horloge, g);
    }
    public java.awt.Dimension getPreferredSize() {
        return vue.getPreferredSize();
    }

    public void incrementerSecondes() {
        // le comportement est d?l?gu? au mod?le
        horloge.incrementerSecondes();
        
        // provoque la remise ? jour de la repr?sentation
        repaint();
    }
}
